Find Components
curl --request GET \
--url https://app.specurate.com/api/v1/workspaces/{workspaceId}/brand-standards/{id}/components \
--header 'Authorization: Bearer <token>'import requests
url = "https://app.specurate.com/api/v1/workspaces/{workspaceId}/brand-standards/{id}/components"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.specurate.com/api/v1/workspaces/{workspaceId}/brand-standards/{id}/components', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"componentsCount": 1,
"materialsCount": 1,
"partsCount": 1,
"items": [
{
"quantity": "2.00",
"id": "<string>",
"linkedBrandStandardId": "<string>",
"templateFamilyId": "<string>",
"refNumber": "<string>",
"name": "<string>",
"categoryId": "<string>",
"categoryName": "<string>",
"partItemId": "<string>",
"partItemName": "<string>",
"partFamilyId": "<string>",
"partFamilyName": "<string>",
"partFamilyType": "default",
"partFamilyCategoryId": "<string>",
"primaryImageUrl": "<string>",
"partItemColumnsAttributes": {},
"partItemVersion": 123,
"primaryItemSourceId": "<string>",
"primaryItemSourceColumnsAttributes": {},
"createdAt": "<string>"
}
]
}Brand Standards
Find Components
GET
/
v1
/
workspaces
/
{workspaceId}
/
brand-standards
/
{id}
/
components
Find Components
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
⌘I